CURRENT_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

export KUBECONFIG = $(CURRENT_DIR)/tmp/kubeconfig.yaml

k8s-get-pods:
	kubectl get pods -o wide

k8s-get-services:
	kubectl get services

k8s-describe-app:
	kubectl describe pod app

k8s-apply:
	kubectl apply -f $(CURRENT_DIR)

k8s-restart:
	kubectl rollout restart deployment/app
